function init(hero) {
    hero.setName("Red Hood/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(6);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
    hero.addPrimaryEquipment("fiskheroes:desert_eagle{Dual:1}", true, item => item.nbt().getBoolean("Dual"));
    hero.addPrimaryEquipment("fiskheroes:chokuto", true, item => !item.nbt().getBoolean("Dual"));
    
    hero.addPowers("knights:lazarus_enhanced");
    hero.addAttribute("PUNCH_DAMAGE", 5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.7, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 150, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("BASE_SPEED_LEVELS", 1, 0);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1)
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 2);
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 3);
    hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("GUN_RELOAD", "key.reload", 1);
    
    hero.setKeyBindEnabled((entity, keyBind) => keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun() && !entity.getData("fiskheroes:aiming"));
    hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());
    hero.setHasPermission((entity, permission) => entity.getHeldItem().isGun() && permission == "USE_GUN" || permission  == "USE_GRAPPLING_GUN");
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
     case "fiskheroes:flight":
        return entity.getData("fiskheroes:shadowform");
   default:
        return true;
    }


hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.supplyFunction("canDischargeEnergy", isHoldingScythe);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:energy_manipulation" || isHoldingScythe(entity);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind != "CHARGE_ENERGY" || isHoldingScythe(entity);
}

function isHoldingScythe(entity) {
    return entity.getHeldItem().name() == "fiskheroes:ruptures_scythe";
}